package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * nfc巡检记录id对象 t_nfc_record
 * 
 * @author zehong
 * @date 2022-10-18
 */
public class TNfcRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 巡检记录 */
    private Long recordId;

    /** nfc_id */
    @Excel(name = "nfc_id")
    private Long nfcId;

    /** 是否正常 0否 1是 */
    @Excel(name = "是否正常 0否 1是")
    private Integer isNormal;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String picture;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 上报人 */
    @Excel(name = "上报人")
    private Long createUser;

    private String userName;

    @Excel(name = "巡检地点")
    private String patrolAddress;

    /** 巡检内容 */
    @Excel(name = "巡检内容")
    private String patrolComent;

    /** 巡检频次 */
    @Excel(name = "巡检频次")
    private String patrolFrequency;

    private String startTime;

    private String endTime;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getPatrolAddress() {
        return patrolAddress;
    }

    public void setPatrolAddress(String patrolAddress) {
        this.patrolAddress = patrolAddress;
    }

    public String getPatrolComent() {
        return patrolComent;
    }

    public void setPatrolComent(String patrolComent) {
        this.patrolComent = patrolComent;
    }

    public String getPatrolFrequency() {
        return patrolFrequency;
    }

    public void setPatrolFrequency(String patrolFrequency) {
        this.patrolFrequency = patrolFrequency;
    }

    public void setRecordId(Long recordId)
    {
        this.recordId = recordId;
    }

    public Long getRecordId() 
    {
        return recordId;
    }
    public void setNfcId(Long nfcId) 
    {
        this.nfcId = nfcId;
    }

    public Long getNfcId() 
    {
        return nfcId;
    }
    public void setIsNormal(Integer isNormal) 
    {
        this.isNormal = isNormal;
    }

    public Integer getIsNormal() 
    {
        return isNormal;
    }
    public void setPicture(String picture) 
    {
        this.picture = picture;
    }

    public String getPicture() 
    {
        return picture;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateUser(Long createUser)
    {
        this.createUser = createUser;
    }

    public Long getCreateUser()
    {
        return createUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("nfcId", getNfcId())
            .append("isNormal", getIsNormal())
            .append("picture", getPicture())
            .append("remarks", getRemarks())
            .append("createTime", getCreateTime())
            .append("createUser", getCreateUser())
            .toString();
    }
}
